New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support Java 11 Version Name #4515

Closed
jamespedwards42 opened this Issue Feb 25, 2018 · 1 comment

Comments

Projects
None yet
3 participants
@jamespedwards42
Copy link

jamespedwards42 commented Feb 25, 2018

Gradle fails to recognize the version name "11-ea".

Expected Behavior

Gradle runs against Java 11 early access releases.

Current Behavior

➜ git:(master) java -version
java version "11-ea" 2018-09-18
Java(TM) SE Runtime Environment 18.9 (build 11-ea+2)
Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11-ea+2, mixed mode)

➜ git:(master) ./gradlew -version

FAILURE: Build failed with an exception.

* What went wrong:
Could not determine java version from '11-ea'.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

➜ git:(master) jenv shell 10-ea
➜ git:(master) java -version
java version "10" 2018-03-20
Java(TM) SE Runtime Environment 18.3 (build 10+44)
Java HotSpot(TM) 64-Bit Server VM 18.3 (build 10+44, mixed mode)

➜ git:(master) ./gradlew -version
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.codehaus.groovy.reflection.CachedClass (file:/Users/jamesedwards/.gradle/wrapper/dists/gradle-4.6-rc-2-bin/i9k061yvx88h1m14v3gggcj3/gradle-4.6-rc-2/lib/groovy-all-2.4.12.jar) to method java.lang.Object.finalize()
WARNING: Please consider reporting this to the maintainers of org.codehaus.groovy.reflection.CachedClass
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

------------------------------------------------------------
Gradle 4.6-rc-2
------------------------------------------------------------

Build time:   2018-02-21 15:28:42 UTC
Revision:     819e0059da49f469d3e9b2896dc4e72537c4847d

Groovy:       2.4.12
Ant:          Apache Ant(TM) version 1.9.9 compiled on February 2 2017
JVM:          10 ("Oracle Corporation" 10+44)
OS:           Mac OS X 10.13.3 x86_64

@oehme oehme added this to the 4.7 RC1 milestone Feb 26, 2018

szpak added a commit to szpak/mockito-java8 that referenced this issue Mar 17, 2018

Java 11 Travis build
Not yet supported due to gradle/gradle#4515
@blindpirate

This comment has been minimized.

Copy link
Member

blindpirate commented Mar 21, 2018

Closed by #4759

@sormuras sormuras referenced this issue Mar 22, 2018

Merged

Support JDK 10 #629

szpak added a commit to szpak/mockito-java8 that referenced this issue Apr 5, 2018

szpak added a commit to szpak/mockito-java8 that referenced this issue Apr 5, 2018

szpak added a commit to szpak/mockito-java8 that referenced this issue Apr 5, 2018

szpak added a commit to szpak/mockito-java8 that referenced this issue May 12, 2018

szpak added a commit to szpak/mockito-java8 that referenced this issue May 12, 2018

stevenschlansker added a commit to stevenschlansker/spotbugs that referenced this issue Aug 15, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment